#! /bin/bash
#
# Installation von Hausputz
# Helmut Hullen (Helmut@Hullen.de) 20.4.2003

test -x /sbin/init.d/boot.local && INIT=/sbin/init.d/boot.local
test -x /etc/init.d/boot.local && INIT=/etc/init.d/boot.local

mkdir -p /var/spool/cron/lastrun

Putz=$(grep "Hausputz" $INIT)
if [ "a$Putz" == "a" ]
  then 
cat <<EOF >> $INIT
#
/usr/bin/at -f /etc/cronjobs/Hausputz now + 5 minutes
#
EOF
fi

RParts=$(grep "run-parts" /etc/crontab)
if [ "a$RParts" == "a" ]
  then
cat <<EOF >> /etc/crontab
#
10 * * * *	root	/usr/bin/run-parts /etc/cron.hourly
15 3 * * *	root	/usr/bin/run-parts /etc/cron.daily
20 3 * * 0	root	/usr/bin/run-parts /etc/cron.weekly
25 3 1 * *	root	/usr/bin/run-parts /etc/cron.monthly
#
EOF
 
fi
#
